import request from '@/utils/request'

// 查询用药记录列表
export function listMarRecord(query) {
  return request({
    url: '/health/marRecord/list',
    method: 'get',
    params: query
  })
}

// 查询用药记录详细
export function getMarRecord(id) {
  return request({
    url: '/health/marRecord/' + id,
    method: 'get'
  })
}

// 新增用药记录
export function addMarRecord(data) {
  return request({
    url: '/health/marRecord',
    method: 'post',
    data
  })
}

// 修改用药记录
export function updateMarRecord(data) {
  return request({
    url: '/health/marRecord',
    method: 'put',
    data
  })
}

// 删除用药记录
export function delMarRecord(id) {
  return request({
    url: '/health/marRecord/' + id,
    method: 'delete'
  })
}
